System.ServiceModel 4.0.0.0 System.Object

An is characterized by a name and namespace and has a value that contains optional information used to identify or interact with an endpoint. The name can be accessed by the property and the namespace by the property.

Represents a header that encapsulates an address information item used to identify or interact with an endpoint.

- Constructor
  4.0.0.0

  Use the to create new objects.

  Initializes a new instance of the class.

- Method
  4.0.0.0
  System.ServiceModel.Channels.AddressHeader `` To be added.

  Creates a new instance of the class with a specified value.

  The that contains the information item specified by the parameter.

  The information item for the address header.
- Method
  4.0.0.0
  System.ServiceModel.Channels.AddressHeader `` `` To be added. To be added.

  Creates a new instance of the class using a specified formatter to serialize the information item from a specified object.

  The that contains the information item specified by the value parameter.

  The information item for the address header.
- Method
  4.0.0.0
  System.ServiceModel.Channels.AddressHeader `` `` `` To be added.

  Creates a new instance of the class with a specified value, name and namespace.

  The with the specified and that contains the information item specified by .

  The name of the address header. The namespace of the address header. The information item for the address header.
- Method
  4.0.0.0
  System.ServiceModel.Channels.AddressHeader `` `` `` `` To be added. To be added.

  Creates a new instance of the class with a specified name and namespace that uses a specified formatter to serialize the information item from a specified object.

  The with the specified and that contains the information item specified by .

  The name of the address header. The namespace of the address header. The information item for the address header.
- Method
  4.0.0.0
  System.Boolean ``

  Checks for equivalence of serialized canonical XML between the information items.

  Determines whether the information item in a specified object is equal to the object contained in the current address header.

  true if the information item in a specified is equivalent to the information item contained in the current address header; otherwise, false. In particular, returns false if is null.

  The to compare with the object contained in the current address header.
- Method
  4.0.0.0
  System.Xml.XmlDictionaryReader To be added.

  Returns an XML reader that can serialize the current address header object.

  An instance of that can serialize the current address header object.

- Method
  4.0.0.0
  System.Int32

  This is the string-based implementation.

  is suitable for use in hashing algorithms and data structures like a hash table.

  Provides a unique hash code for an address header.

  A unique hash code for the current address header.

- Method
  4.0.0.0
  T

  When using this overload, you must supply a type for the generic parameter . The type of the return value is determined by the generic type parameter.

  Use the overload if you want to use a customized XML formatter.

  Deserializes the information item from the current address header to an object of a specified type.

  An instance of a class of type with its fields and properties set to the values supplied by the current address header object.

  A class of type with its fields and properties set to the values supplied by the current address header object.
- Method
  4.0.0.0
  T `` To be added.

  When using this overload, you must supply a type for the generic parameter . The type of the return value is determined by the generic type parameter.

  Use this overload only if you want to use a customized XML formatter; otherwise use the overload.

  Deserializes the information item from the current address header to an object of a specified type that uses a specified formatter to serialize this information.

  An instance of a class of type with its fields and properties set to the values supplied by the current address header object.

  A class of type with its fields and properties set to the values supplied by the current address header object.
- Property
  4.0.0.0
  System.String To be added. To be added.

  When implemented, gets the name of the address header.

- Property
  4.0.0.0
  System.String To be added. To be added.

  When implemented, gets the namespace of the address header.

- Method
  4.0.0.0
  System.Void `` To be added.

  When overridden in a derived class, is invoked when the address header contents are written to a stream or file.

  The used to write the address header contents to a stream or file.
- Method
  4.0.0.0
  System.Void `` To be added.

  When overridden in a derived class, is invoked when the address header contents begin to be written to a stream or file.

  The used to write the address header to a stream or file.
- Method
  4.0.0.0
  System.ServiceModel.Channels.MessageHeader To be added.

  Wraps the address header as a message header.

  The that wraps the current address header.

- Method
  4.0.0.0
  System.Void ``

  This overload calls the abstract

  method, so users must provide an implementation of that method to use this method.

  Writes the address header to a stream or file using a specified .

  The used to write the address header to a stream or file.
- Method
  4.0.0.0
  System.Void ``

  This overload wraps as a and then the calls the abstract

  method. Users must provide an implementation for that abstract method to use this overload.

  Writes the address header to a stream or file using a specified .

  The used to write the address header to a stream or file.
- Method
  4.0.0.0
  System.Void `` To be added.

  Writes the address header contents to a stream or file.

  The used to write the address header contents to a stream or file.
- Method
  4.0.0.0
  System.Void `` To be added.

  Starts to write the address header contents to a stream or file.

  The used to write the address header to a stream or file.